<?php

namespace Myvetshop\Module\Clinique\Accounting\Export\PostProcess;

use Myvetshop\Module\Clinique\Accounting\Export\Model\ExportLine;

interface GlobalPostProcessorInterface
{
    /**
     * @param list<ExportLine> $lines
     */
    public function addLines(array $lines): void;

    /**
     * @return list<ExportLine>
     */
    public function getLines(): array;

    public function reset(): void;
}
